# Uses of Enum
org.apache.commons.math3.ode.sampling.StepNormalizerMode

Packages that use StepNormalizerMode
Package
Description
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.

## Uses of StepNormalizerMode in org.apache.commons.math3.ode.sampling

Methods in org.apache.commons.math3.ode.sampling that return StepNormalizerMode
Modifier and Type
Method
Description
`static StepNormalizerMode`
StepNormalizerMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StepNormalizerMode[]`
StepNormalizerMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.commons.math3.ode.sampling with parameters of type StepNormalizerMode
Modifier
Constructor
Description
``
`FieldStepNormalizer(double h, FieldFixedStepHandler<T> handler, StepNormalizerMode mode)`
Simple constructor.
``
`FieldStepNormalizer(double h, FieldFixedStepHandler<T> handler, StepNormalizerMode mode, StepNormalizerBounds bounds)`
Simple constructor.
``
`StepNormalizer(double h, FixedStepHandler handler, StepNormalizerMode mode)`
Simple constructor.
``
`StepNormalizer(double h, FixedStepHandler handler, StepNormalizerMode mode, StepNormalizerBounds bounds)`
Simple constructor.